Passa al contenuto principale

ObjectStorageBucketFirewallEntryPaginatedListResponse

Successful response with a page of ObjectStorageBucketFirewallEntry

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data object[]required

Items of the page: an empty list beyond the last page

  • Array [
  • entry_idintegerrequired
    object_storage_idintegerrequired

    Id of the object storage (GET /api/v3/object-storages/{object_storage_id})

    bucket_idintegerrequired

    Id of the bucket (GET /api/v3/object-storages/{object_storage_id}/buckets/{bucket_id})

    ipstring | nullnullablerequired

    IPv4 or IPv6 address, or subnet in CIDR notation, allowed to access the bucket

    activeboolean | nullnullablerequired

    Whether the entry is active: removed entries are not returned

    date_createddate-timenullablerequired
  • ]
  • meta objectrequired

    Pagination of the list

    totalintegerrequired

    Number of items in the whole list

    countintegerrequired

    Number of items in this page: 0 beyond the last page

    pagesintegerrequired

    Number of pages of the list

    pageintegerrequired

    Number of this page, starting from 1

    per_pageintegerrequired

    Maximum number of items in a page

    ObjectStorageBucketFirewallEntryPaginatedListResponse
    {
    "error": 0,
    "message": "string",
    "data": [
    {
    "entry_id": 0,
    "object_storage_id": 0,
    "bucket_id": 0,
    "ip": "string",
    "active": true,
    "date_created": "2024-07-29T15:51:28.071Z"
    }
    ],
    "meta": {
    "total": 0,
    "count": 0,
    "pages": 0,
    "page": 0,
    "per_page": 0
    }
    }